import 'dart:async';

import 'package:flutter/services.dart';

class FinBoxDcPlugin {

  static const platform =
      const MethodChannel('in.finbox.lending/deviceconnect');

  static Future loadDeviceConnect(String customerId, String apiKey) async {
    try {
      await platform.invokeMethod('launchDeviceConnect', <String, dynamic>{
        'customer_id': customerId,
        'api_key': apiKey
      }).then((result) {
        print("Result -> " + result);
      });
    } on PlatformException catch (e) {
      print(e.message);
    }
  }
}
